# BEGIN SourceDeps(oneline):
BuildRequires: perl(CHI.pm) perl(Chart/Weather/Forecast/Temperature.pm) perl(DBM/Deep.pm) perl(Dancer.pm) perl(Data/Dumper/Concise.pm) perl(Data/Skeleton.pm) perl(DateTime.pm) perl(DateTime/TimeZone.pm) perl(Digest/MD5.pm) perl(Dir/Self.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Git/Wrapper.pm) perl(HTML/Entities.pm) perl(HTML/Strip.pm) perl(HTML/Toc.pm) perl(HTML/TocInsertor.pm) perl(HTML/Zoom.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Tiny.pm) perl(IO/File.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(MetaCPAN/API.pm) perl(Modern/Perl.pm) perl(Mojo/DOM.pm) perl(Mojolicious/Lite.pm) perl(MongoDB.pm) perl(MongoDB/OID.pm) perl(Moo.pm) perl(Moo/Role.pm)
BuildRequires: perl(MooX/Types/MooseLike/Base.pm) perl(Path/Class.pm) perl(Plack/Middleware.pm) perl(Plack/Middleware/Auth/Digest.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Plack/Util/Accessor.pm) perl(Pod/Simple/XHTML.pm) perl(Search/Elasticsearch.pm) perl(Sub/Quote.pm) perl(Syntax/Keyword/Junction.pm) perl(Tatsumaki/Handler.pm) perl(Term/Prompt.pm) perl(Test/Deep.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Text/MultiMarkdown.pm) perl(Text/Textile.pm) perl(Text/WikiCreole.pm) perl(Try/Tiny.pm) perl(WWW/Mechanize.pm) perl(Weather/Underground/Forecast.pm) perl(Web/Simple.pm) perl(XML/Atom/SimpleFeed.pm) perl(if.pm) perl(lib.pm) perl(parent.pm) perl(strict.pm) perl(strictures.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Mojito
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: Web Document System
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MATEU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Mojito is a web document system that enables individuals to easily author 
HTML5 compliant documents.  It provides a source editor for various
markup languages along with a near realtime view pane.  It allows for the
intermixing of different source formats.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/M*

%changelog
* Mon Feb 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- initial import by package builder

